summaryrefslogtreecommitdiffstats
path: root/target/linux/au1000-2.6
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@openwrt.org>2006-11-22 23:27:29 +0000
committerFelix Fietkau <nbd@openwrt.org>2006-11-22 23:27:29 +0000
commit37362df7ea5978750f4584d2ce48623c59ef0695 (patch)
tree8f8734b13f1e320ab42aed2a46bb22472a61c479 /target/linux/au1000-2.6
parentbd8e5fb7db8431d22fad5eb72a2a38c0f1b50f45 (diff)
downloadmaster-31e0f0ae-37362df7ea5978750f4584d2ce48623c59ef0695.tar.gz
master-31e0f0ae-37362df7ea5978750f4584d2ce48623c59ef0695.tar.bz2
master-31e0f0ae-37362df7ea5978750f4584d2ce48623c59ef0695.zip
move platform specific base-files into target/linux/<targetname>
SVN-Revision: 5621
Diffstat (limited to 'target/linux/au1000-2.6')
-rw-r--r--target/linux/au1000-2.6/base-files/etc/config/network14
-rwxr-xr-xtarget/linux/au1000-2.6/base-files/sbin/mount_root26
2 files changed, 40 insertions, 0 deletions
diff --git a/target/linux/au1000-2.6/base-files/etc/config/network b/target/linux/au1000-2.6/base-files/etc/config/network
new file mode 100644
index 0000000000..9b65652f06
--- /dev/null
+++ b/target/linux/au1000-2.6/base-files/etc/config/network
@@ -0,0 +1,14 @@
+# Copyright (C) 2006 OpenWrt.org
+
+config interface loopback
+ option ifname lo
+ option proto static
+ option ipaddr 127.0.0.1
+ option netmask 255.0.0.0
+
+config interface lan
+ option type bridge
+ option ifname "eth0 ath0"
+ option proto static
+ option ipaddr 192.168.1.1
+ option netmask 255.255.255.0
diff --git a/target/linux/au1000-2.6/base-files/sbin/mount_root b/target/linux/au1000-2.6/base-files/sbin/mount_root
new file mode 100755
index 0000000000..718394ca4c
--- /dev/null
+++ b/target/linux/au1000-2.6/base-files/sbin/mount_root
@@ -0,0 +1,26 @@
+#!/bin/sh
+# Copyright (C) 2006 OpenWrt.org
+
+mount none /proc -t proc
+size=$(awk '/Mem:/ {l=5242880;print((s=$2/2)<l)?$2-l:s}' /proc/meminfo)
+mount none /tmp -t tmpfs -o size=$size
+
+if [ "$1" != "failsafe" ]; then
+ mtd unlock filesystem
+ mount | grep jffs2 >&-
+ if [ $? = 0 ] ; then
+ if [ $(cat /proc/mtd | wc -l) = 6 ]; then
+ mtd erase filesystem
+ jffs2root --move
+ else
+ mount -o remount,rw /dev/root /
+ fi
+ else
+ . /bin/firstboot
+ fi
+fi
+
+mount none /tmp -t tmpfs -o remount,nosuid,nodev,mode=1777
+mkdir -p /dev/pts
+mount none /dev/pts -t devpts
+mount -t sysfs none /sys 2>&-